Update an existing product.
Authentication: Include your API key in the X-Api-Key header.
Path Parameters
The product ID to update
Header Parameters
Your API Key for authentication
Request Body
application/json
The product fields to update
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/products/string" \ -H "X-Api-Key: string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "account_id": "string", "name": "string", "description": "string", "characteristics": "string", "sku": "string", "code": "string", "reference": "string", "slug": "string", "base_price": 0, "price": 0, "price_2": 0, "price_3": 0, "price_4": 0, "price_5": 0, "price_6": 0, "price_7": 0, "price_8": 0, "price_9": 0, "price_10": 0, "cost_weighted_average": 0, "cost_base_weighted_average": 0, "cost_average": 0, "cost_base_average": 0, "cost_last_purchase": 0, "cost_base_last_purchase": 0, "last_purchase_date": "2019-08-24T14:15:22Z", "cost_updated_at": "2019-08-24T14:15:22Z", "purchase_count": 0, "purchase_quantity": 0, "item_width": 0, "item_length": 0, "item_height": 0, "item_weight": 0, "measurement": "string", "category_id": "string", "custom_category_id": "string", "custom_category": { "id": "string", "name": "string", "sort_index": 0, "created_at": "2019-08-24T14:15:22Z", "category_parent_id": "string", "account_id": "string", "image": "string" }, "reference_category": "string", "status": "string", "internal_status": "string", "type": "string", "ecommerce_status": "string", "control_inventory": true, "available_online": true, "hide_in_catalog": true, "fast_shipping": true, "is_raw_material": true, "includes_variants": true, "includes_serials": true, "includes_optionals": true, "includes_features": true, "hide_childs_in_ecommerce": true, "variant_image_for_option": "string", "variants_in_groups": "string", "variant_options_line": "string", "profile_picture": "string", "images": [ {} ], "files": [ {} ], "custom_fields": { "property1": "string", "property2": "string" }, "search_engine_title": "string", "search_engine_description": "string", "total_sale_total_price_sum": 0, "total_sale_price_sum": 0, "total_sale_count": 0, "total_sale_stock_sum": 0, "sale_weighted_average": 0, "sale_average_cost": 0, "last_sale_price": 0, "last_sale_date": "2019-08-24T14:15:22Z", "accumulated_sales": 0, "review_rating": 0, "review_count": 0, "supplier_id": "string", "supplier_estimated_delivery_time": 0, "is_parent": true, "has_taxes": true, "has_discounts": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "created_by": "string", "updated_by": "string"}Search Product Warehouse POST
**Search products in warehouse.** Search for products with advanced filtering options including stock, price, categories, variants, and more. Authentication: Include your API key in the `X-Api-Key` header.
Update Warehouse Product Stock List POST
**Update stock for multiple warehouse products.** Performs batch stock updates (add/remove) for multiple products with optional reservation handling, location tracking, and cost management. Authentication: Include your API key in the `X-Api-Key` header.